Support » Plugin: WaveSurfer-WP » Update for jQuery 3

  • Resolved KTS915

    (@kts915)


    As you are probably aware, WordPress is soon going to be moving to jQuery 3. Currently, this plugin won’t work with jQuery 3. But my own testing suggests that the fix is simple.

    In wavesurfer-wp/js/wavesurfer-wp.js, you need to change this line:

    
    $j(document).on('ready ajaxComplete wavesurfer', function(event, request, settings) {
    

    to just this:

    
    $j(function(event, request, settings) {
    

    The good news is that this modification is backward-compatible, so won’t cause any problems on sites continuing to use older versions of WordPress (or using ClassicPress).

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.